# Hi-Sass-Frame

[![vue](https://img.shields.io/badge/vue-3.4.21-brightgreen.svg)](https://cn.vuejs.org/guide/quick-start)
[![vite](https://img.shields.io/badge/vite-5.4.1-brightgreen.svg)](https://www.vitejs.net/guide/)
[![element-ui](https://img.shields.io/badge/element-plus-brightgreen.svg)](https://cn.element-plus.org/zh-CN/)
[![electron](https://img.shields.io/badge/electron-32.0.1-brightgreen.svg)](https://www.electronjs.org/zh/docs/latest/tutorial/quick-start)
[![license](https://img.shields.io/github/license/mashape/apistatus.svg)](https://gitea.hiluker.com/fm453/hi-sass-frame/src/branch/main/LICENSE)


---
### 请确保您的 node 版本大于等于 18.
-   vue3.*等版本，要求node.js版本高于18

#### 如何安装
-   推荐使用yarn安装（我开发过程用的是yarn来管理包）
```bash
yarn
#或者
yarn add
```
-   如果你要用npm，可参考下方，使用淘宝镜像源，速度可能会快一些）
```bash
npm config edit
# 该命令会打开npm的配置文件，请在空白处添加
# registry=https://registry.npmmirror.com
# ELECTRON_MIRROR=https://npmmirror.com/mirrors/electron/
# ELECTRON_BUILDER_BINARIES_MIRROR=https://npmmirror.com/mirrors/electron-builder-binaries/
# 然后关闭该窗口，重启命令行.
npm install
```
# 运行脚本
```bash
# 启动之后，会在9080端口监听
npm run dev

# build命令在不同系统环境中，需要的的不一样，需要自己根据自身环境进行配置
# 具体可在package.json中查阅
npm run build

```

---
# [文件目录说明](DIR.md)
# [更新日志](./CHANGELOG.md)
