import {globalShortcut} from "electron";
import {DisableF12} from "../config/const";

const disableF12 = () => {
	if (process.env.NODE_ENV === "production" || DisableF12) {
		// 在生产环境下，或者设置禁用了F12键的情况下，禁止响应F12键
		globalShortcut.register("f12", () => {
			console.log("OS用户试图启动控制台");
		});
		// globalShortcut.register('CmdOrCtrl+I', () => {
		// 	console.log('MAC用户试图启动控制台')
		// })
	}
};
export default {
	disableF12,
};
