import zhLocale from "element-plus/dist/locale/zh-cn.min";

export const lang = {
  welcome: "欢迎进入本框架",
  buttonTips: "您可以点击的按钮测试功能",
  waitDataLoading: "等待数据读取",
  home: {
    openPreloadWindowError: {
      title: "提示",
      content: "请移步项目的strict分支",
      confirm: "确定",
    },
  },
  about: {
    system: "关于系统",
    language: "语言：",
    languageValue: "中文简体",
    currentPagePath: "当前页面路径：",
    currentPageName: "当前页面名称：",
		appVersion: "软件版本：",
    vueVersion: "Vue版本：",
    electronVersion: "Electron版本：",
		chromeV8Version: "V8版本：",
    nodeVersion: "Node版本：",
    systemPlatform: "系统平台：",
    systemVersion: "系统版本：",
    systemArch: "系统位数：",
  },
  buttons: {
    console: "控制台打印",
    checkUpdate: "检查更新",
    checkUpdate2: "检查更新（第二种方法）",
    checkUpdateInc: "检查更新（增量更新）",
    startServer: "启动内置服务端",
    stopServer: "关闭内置服务端",
    viewMessage: "查看消息",
    openNewWindow: "打开新窗口",
    simulatedCrash: "模拟崩溃",
    changeLanguage: "Change language",
    ForcedUpdate: "强制更新模式",
    printDemo: "打印例子",
    incrementalUpdateTest: "增量更新测试",
    openPreloadWindow: "preload.js测试",
    browser: "浏览器",
    showOnMyComputer: "在我的电脑显示",
    hideOnMyComputer: "在我的电脑隐藏",
  },
  print: {
    print: "打印",
    silentPrinting: "静默打印",
    backgroundColor: "背景色",
    use: "使用",
    unuse: "不使用",
    notUse: "非",
    tips: "建议使用打印PDF测试（省纸），成功后再使用真实情况",
    blackAndWhite: "黑白",
    colorful: "彩色",
    margin: "边距",
    top: "上",
    bottom: "下",
    right: "右",
    left: "左",
  },
  browser: {
    searchBarPlaceholder: "在Bing中搜索，或输入一个网址",
  },
  el: zhLocale,
};
