// 根据主题设定，加载对应主题的路径表(注意，本处主题指的是引用的UI组件库形成的一套主题）
import theme from "../theme";
import PathsDefault from "@themeDefault/router/index-theme";

/**
 * meta : {
 title: '菜单名'
 icon: '菜单图标；根据自己的UI模板来定，用图标样式或者svg;留空则无'
 roles: '所需权限角色；根据自己的角色权限系统来配置角色名数组；为安全起见，留空则全部不可访问，设置了guest的才是允许游客访问的，设置了admin的是只允许admin访问的（优先级最高）'
 }
 */
const Paths = PathsDefault;
export default Paths;
