function loadModules() {
	const context: any = import.meta.glob("./**/*.vue", {eager: false});
	const modules: any = {};
	let keys = Object.keys(context);
	for (let key of keys) {
		let module = context[key];
		let name = key.replace(/(\.vue)/g, '');
		modules[name] = module
	}
	return modules
}
export const modules: any = loadModules();
