export const preloads = {
	include: [
		"@univerjs/core",
		"@univerjs/data-validation",
		"@univerjs/design",
		"@univerjs/docs-ui",
		"@univerjs/docs",
		"@univerjs/drawing-ui",
		"@univerjs/drawing",
		"@univerjs/engine-formula",
		"@univerjs/engine-render",
		"@univerjs/facade",
		"@univerjs/find-replace",
		"@univerjs/sheets-conditional-formatting-ui",
		"@univerjs/sheets-conditional-formatting",
		"@univerjs/sheets-data-validation",
		"@univerjs/sheets-drawing-ui",
		"@univerjs/sheets-drawing",
		"@univerjs/sheets-filter-ui",
		"@univerjs/sheets-filter",
		"@univerjs/sheets-find-replace",
		"@univerjs/sheets-formula",
		"@univerjs/sheets-hyper-link-ui",
		"@univerjs/sheets-hyper-link",
		"@univerjs/sheets-numfmt",
		"@univerjs/sheets-sort-ui",
		"@univerjs/sheets-sort",
		"@univerjs/sheets-thread-comment-base",
		"@univerjs/sheets-thread-comment",
		"@univerjs/sheets-ui",
		"@univerjs/sheets-zen-editor",
		"@univerjs/sheets",
		"@univerjs/thread-comment-ui",
		"@univerjs/thread-comment",
		"@univerjs/ui",
		"@vueuse/core",
		"@wangeditor/editor-for-vue",
		"@wangeditor/editor",
		"axios",
		"color",
		"dayjs",
		"driver.js",
		"echarts-liquidfill",
		"echarts",
		"echarts/charts",
		"echarts/components",
		"echarts/core",
		"echarts/features",
		"echarts/renderers",
		"element-plus",
		"element-plus/dist/locale/en.min",
		"element-plus/dist/locale/zh-cn.min",
		"element-plus/es",
		"element-plus/es/components/alert/style/css",
		"element-plus/es/components/aside/style/css",
		"element-plus/es/components/backtop/style/css",
		"element-plus/es/components/badge/style/css",
		"element-plus/es/components/base/style/css",
		"element-plus/es/components/breadcrumb-item/style/css",
		"element-plus/es/components/breadcrumb/style/css",
		"element-plus/es/components/button/style/css",
		"element-plus/es/components/card/style/css",
		"element-plus/es/components/checkbox-group/style/css",
		"element-plus/es/components/checkbox/style/css",
		"element-plus/es/components/col/style/css",
		"element-plus/es/components/color-picker/style/css",
		"element-plus/es/components/config-provider/style/css",
		"element-plus/es/components/container/style/css",
		"element-plus/es/components/date-picker/style/css",
		"element-plus/es/components/descriptions-item/style/css",
		"element-plus/es/components/descriptions/style/css",
		"element-plus/es/components/dialog/style/css",
		"element-plus/es/components/divider/style/css",
		"element-plus/es/components/drawer/style/css",
		"element-plus/es/components/dropdown-item/style/css",
		"element-plus/es/components/dropdown-menu/style/css",
		"element-plus/es/components/dropdown/style/css",
		"element-plus/es/components/empty/style/css",
		"element-plus/es/components/empty/style/css",
		"element-plus/es/components/footer/style/css",
		"element-plus/es/components/form-item/style/css",
		"element-plus/es/components/form/style/css",
		"element-plus/es/components/header/style/css",
		"element-plus/es/components/icon/style/css",
		"element-plus/es/components/image-viewer/style/css",
		"element-plus/es/components/image/style/css",
		"element-plus/es/components/input-number/style/css",
		"element-plus/es/components/input/style/css",
		"element-plus/es/components/link/style/css",
		"element-plus/es/components/loading/style/css",
		"element-plus/es/components/main/style/css",
		"element-plus/es/components/menu-item/style/css",
		"element-plus/es/components/menu/style/css",
		"element-plus/es/components/message/style/css",
		"element-plus/es/components/message-box/style/css",
		"element-plus/es/components/notification/style/css",
		"element-plus/es/components/option/style/css",
		"element-plus/es/components/pagination/style/css",
		"element-plus/es/components/popover/style/css",
		"element-plus/es/components/progress/style/css",
		"element-plus/es/components/radio-button/style/css",
		"element-plus/es/components/radio-group/style/css",
		"element-plus/es/components/radio/style/css",
		"element-plus/es/components/rate/style/css",
		"element-plus/es/components/row/style/css",
		"element-plus/es/components/scrollbar/style/css",
		"element-plus/es/components/select/style/css",
		"element-plus/es/components/space/style/css",
		"element-plus/es/components/statistic/style/css",
		"element-plus/es/components/sub-menu/style/css",
		"element-plus/es/components/switch/style/css",
		"element-plus/es/components/tab-pane/style/css",
		"element-plus/es/components/table-column/style/css",
		"element-plus/es/components/table/style/css",
		"element-plus/es/components/tabs/style/css",
		"element-plus/es/components/tag/style/css",
		"element-plus/es/components/text/style/css",
		"element-plus/es/components/time-picker/style/css",
		"element-plus/es/components/tooltip/style/css",
		"element-plus/es/components/tree-select/style/css",
		"element-plus/es/components/tree/style/css",
		"element-plus/es/components/upload/style/css",
		"element-plus/es/components/watermark/style/css",
		"element-plus/es/locale/lang/zh-cn",
		"element-plus/es/locale/lang/en",
		"exceljs",
		"md5",
		"mitt",
		"path-browserify",
		"path-to-regexp",
		"pinia-plugin-persistedstate",
		"pinia",
		"process",
		"qs",
		"screenfull",
		"sortablejs",
		"sqlite3",
		"unocss",
		"vue-i18n",
		"vue-router",
		"vue",
		"vuedraggable",
	],
};
